## ants-hub 40-1~eob120+1

=== debian/changelog ===
ants-hub (40-1~eob120+1) bookworm-eobuilder; urgency=low

  * (b75a8d) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:11:09 +0200

ants-hub (39) bookworm-eobuilder; urgency=low

  * (06ee76) api/ants: does not send rdv if ants is down (#106636)
  * (e00e25) misc: use last pylint version
  * (3914ce) misc: fix warning about use of SPDX license strings

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 06 Jun 2025 11:44:36 +0200

ants-hub (38) bookworm-eobuilder; urgency=low

  * (a181de) misc: set minimal django version to 4.2 (#101218)
  * (d28cb0) misc: adapt to API change in dj42 (#101218)
  * (e6e3d3) tests: adapt to admin change in dj42 (#101218)
  * (630561) ci: update tox to only test against django 4.2 (#101218)
  * (11dc9d) misc: let pre-commit apply changes (#101218)
  * (99857c) ci: update black version (#101218)
  * (2bf3d8) ci: change black to target python 3.11 (#101218)
  * (d502ce) ci: change django-upgrade to target django 4.2 (#101218)
  * (a20b4c) ci: change pyupgrade to target python 3.11 (#101218)
  * (1b5d3d) ci: update django-upgrade version (#101218)
  * (4f12e4) ci: update pyupgrade version (#101218)
  * (2fad27) misc: authorized all predemande numbers if ANTS is down (#105328)
  * (0963aa) api/chrono: return a response with accept_rdv=False if the ANTS service
    is down (#105328)
  * (821e89) api: lower timeout of request to ANTS to 2 seconds (#105327)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 07 May 2025 14:33:48 +0200

ants-hub (37) bookworm-eobuilder; urgency=low

  * (25737f) misc: wrap never_cache in method_decorator

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 05 Feb 2025 19:43:24 +0100

ants-hub (36) bookworm-eobuilder; urgency=low

  * (c03f90) api: prevent duplicate rdv in rendez-vous-disponible (#101686)
  * (77c6a4) ci: use --cov-context instead of dynamic_context in .ini

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 05 Feb 2025 10:22:34 +0100

ants-hub (35) bookworm-eobuilder; urgency=low

  * (1c43cb) misc: fix typo in log message (#94867)
  * (500a93) misc: add setuptools to tox.ini and ignore some warnings

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 04 Sep 2024 15:43:49 +0200

ants-hub (34) bookworm-eobuilder; urgency=low

  * (cc4441) api: log raccordement and random meeting_point in rdv-status (#93832)
  * (5564fe) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (bf3be3) ci: stop building for bullseye (#93027)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 03 Aug 2024 12:21:37 +0200

ants-hub (33) bookworm-eobuilder; urgency=low

  * (d9890d) api: fix multiple returns of same managed meeting point (#92281)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 25 Jun 2024 19:11:41 +0200

ants-hub (32) bookworm-eobuilder; urgency=low

  * (b6b680) api: only returns places with plages (#92041)
  * (08ea96) tests: add test on new meeting_point_id parameter to /api/status
    (#91953)
  * (ef682c) misc: send a random meeting_point_id when calling /api/status (#91953)
  * (5ea6ea) api: handle meeting_point_id parameter to /api/status (#91953)
  * (773a88) api: export lieu.last_gmmp in GET rendez-vous-disponibles/ (#91550)
  * (186055) data: store last read from getManagedMeetingPoints in lieu.last_gmmp
    (#91550)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Jun 2024 13:53:15 +0200

ants-hub (31) bookworm-eobuilder; urgency=low

  * (1e0137) misc: filter lieu.id when getting availableTimeSlots (#91714)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Jun 2024 18:56:58 +0200

ants-hub (30) bookworm-eobuilder; urgency=low

  * (1187b9) api: properly log ignored rdv for malformed/not found application_id
    (#91691)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Jun 2024 14:17:11 +0200

ants-hub (29) bookworm-eobuilder; urgency=low

  * (694c17) debian: add disable-write-exception=true to uwsgi.ini (#91533)
  * (e17d3e) api: force canceled=None on create/updated rendez-vous (#89757)
  * (6d784a) misc: change fixture example1.json as identifiant_predemande is always
    stored as uppercase (#89757)
  * (b9e9f5) api: validate identifiant_predemande in rendez-vous-disponibles
    (#89791)
  * (0e3fc4) api: do not log a success when a rendez-vous is not pushed (#89756)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 06 Jun 2024 14:22:54 +0200

ants-hub (28) bookworm-eobuilder; urgency=low

  * (dbffe4) api: simplify push_rdv()/upload_rdvs() (#89609)
  * (99a25b) misc: add logo_url to JSON schema of rdv-disponibles (#89726)
  * (4e6e41) api: fix retrieval of lieu attributes (#89726)
  * (65b695) misc: use ANTS_HUB_BASE_URL to make callback_url (#89701)
  * (13a9f6) api: do not return canceled rendez-vous in searchApplicationIds
    (#89729)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 18 Apr 2024 17:58:32 +0200

ants-hub (27) bookworm-eobuilder; urgency=low

  * (222760) misc: add missing __init__.py for sdist to work (#89314)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 15 Apr 2024 19:25:44 +0200

ants-hub (26) bookworm-eobuilder; urgency=low

  * (be65c4) misc: use BEGIN IMMEDIATE to start transactions (#89314)
  * (a8553f) api: send a correct management_url to /api/appointments (#89529)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 15 Apr 2024 10:56:13 +0200

ants-hub (25) bookworm-eobuilder; urgency=low

  * (66c218) setup.py: relax constraint on jsonschema (#84952)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 21 Dec 2023 10:48:17 +0100

ants-hub (24) bookworm-eobuilder; urgency=low

  * (8fafb0) api/chrono: does not return HTTP 500 with error "too busy" (#84817)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 17 Dec 2023 14:12:57 +0100

ants-hub (23) bookworm-eobuilder; urgency=low

  * (62ea9b) api/ants: log part of the response on HTTP errors (#84720)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Dec 2023 10:39:52 +0100

ants-hub (22) bookworm-eobuilder; urgency=low


