=== debian/control ===
Source: ants-hub
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools,
Standards-Version: 3.9.6

Package: python3-ants-hub
Architecture: all
Depends: python3-django (>= 3:4.2),
         python3-requests,
         ${misc:Depends},
         ${python3:Depends},
Description: ANTS Hub for rendez-vous

Package: ants-hub
Architecture: all
Depends: python3-ants-hub (= ${binary:Version}),
         python3-hobo,
         python3-psycopg2,
         python3-systemd,
         uwsgi,
         uwsgi-plugin-python3,
         ${misc:Depends},
Description: ANTS Hub for rendez-vous
