=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DISABLE=test
export PYBUILD_NAME=ants-hub

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	mv $(CURDIR)/debian/python3-ants-hub/usr/bin/manage.py debian/ants-hub/usr/lib/ants-hub/
	dh_install
